Accept a marketplace demo access request
Accept a REQUESTED access request. Adds the requesting organization to the demo allow-list so the organization can provision the preview demo.
Required scopes (any one):
air:admin(roles:air_admin)air:sre(roles:air_sre)
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
id
A UUID string identifying this marketplace demo access request.
Response
id
created
modified
publish_access_record
UUID of the marketplace demo publish access record.
marketplace_demo
UUID of the marketplace demo this access request applies to.
marketplace_demo_name
Name of the marketplace demo this access request applies to.
requesting_org
Human-readable name of the organization requesting access.
requesting_org_display_name
Requesting org display name. Same source as list search and ordering for this field.
requesting_org_ngc_org_name
Requesting org NGC name. Same source as list search and ordering for this field.
requested_by
Emails of users from the requesting org who submitted this request.
reviewed_by
Email of the community manager who last reviewed this request.
status
Current status of the access request.
REQUESTED- RequestedGRANTED- GrantedDENIED- DeniedREVOKED- RevokedCLOSED- Closed
Allowed values:
company_name
Free-text company name provided by the requester.
justification
Optional text from requesters explaining why access is needed. Same-org re-submissions append additional entries.
denial_reason
Reason provided by the reviewer when denying this request.
requested_at
When the current or most recent request was submitted.
reviewed_at
When a community manager last reviewed this request (accept, deny, revoke, or close).
Errors
400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error